* {
  margin: 0;
  padding: 0;
}

svg {
  color: #4ecca3;
}

body {
  font-family: "Average Sans", serif;
}

/* header */
.header {
  min-height: 100vh;
  width: 100%;
  /* background-color: #fafafa; */
  background-image: url("../image/bg.jpg");
  background-position: center;
  background-size: cover;
  position: relative;
  box-shadow: inset 0 0 0 100vh rgba(0, 0, 0, 0.5);
}

nav {
  display: flex;
  padding: 30px 100px;
  justify-content: space-between;
  align-items: center;
}
.sticky {
  padding: 10px 100px;
  width: 1149px;
  top: 0;
  position: fixed;
  background-color: #fff;
  border-bottom: 2px solid #eee;
  z-index: 1;
}
nav .logo {
  text-decoration: none;
  font-size: 22px;
  color: #4ecca3;
  font-weight: 700;
}

.nav-links {
  flex: 1;
  text-align: right;
}

.nav-links ul li {
  list-style: none;
  display: inline-block;
  padding: 8px 12px;
  position: relative;
}

.nav-links ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 16px;
}

.sticky ul li a {
  color: #232931;
  text-decoration: none;
  font-size: 16px;
}

.nav-links ul li::after {
  content: "";
  width: 0%;
  height: 2px;
  background: #4ecca3;
  display: block;
  transition: 0.5s;
}

/* .active {
  padding: 5px 10px;
  background-color: #4ecca3;
  border-radius: 5px;
}
.sticky .active {
  padding: 5px 10px;
  background-color: #4ecca3;
  border-radius: 5px;
  color: #fff;
} */

.nav-links ul li:hover::after {
  width: 100%;
}

.text-box {
  width: 70%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff;
}

.text-box h1 {
  font-size: 58px;
  padding-bottom: 20px;
}

.text-box p {
  margin: 10px 0 40px;
  font-size: 18px;
}

.btn-primary {
  display: inline-block;
  text-decoration: none;
  color: #4ecca3;
  padding: 12px 34px;
  font-size: 16px;
  background: transparent;
  border: solid 1px #4ecca3;
  position: relative;
  cursor: pointer;
  border-radius: 10px;
}
.btn-primary:hover {
  color: white;
  background: #4ecca3;
  transition: 1s;
}

.about,
.flora,
.persebaran,
.manfaat {
  background-color: #fff;
  border-top: 1px solid #eeeeee;
  padding: 50px 100px;
}

/* about */
.header-about,
.header-flora,
.header-manfaat {
  color: #5f7cd8;
  padding: 20px 0;
  margin-bottom: 40px;
  font-size: 24px;
  border-bottom: 3px solid #5f7cd8;
}
.header-persebaran {
  color: #fff;
  padding: 20px 0;
  margin-bottom: 40px;
  font-size: 24px;
  border-bottom: 3px solid #fff;
}

.main-about {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}
.image-about {
  flex: 20%;
  width: 250px;
  background-color: #393e46;
}

.about-deskripsi {
  padding: 40px;
  flex: 60%;
  font-size: 18px;
  color: #232931;
  background-color: #4ecca3;
}
/* flora */
.flora {
  background-color: #f9fbfe;
}

.main-flora {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.flora-card {
  background-color: transparent;
  width: 300px;
  height: 370px;
  perspective: 1000px;
  padding: 20px;
}

.flora-card img {
  margin-top: 20px;
}

.flora-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.flora-card:hover .flora-card-inner {
  transform: rotateY(180deg);
}

.flora-card-front,
.flora-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  padding: auto;
}

.flora-card-front h1 {
  padding-top: 14px;
}
.flora-card-front {
  text-align: center;
  background-color: #fff;
  color: #5f7cd8;
}

.flora-card-back {
  padding: 0px;
  text-align: justify;
  background-color: #4ecca3;
  color: white;
  transform: rotateY(180deg);
}

.flora-card-back p {
  padding: 20px;
}

/* persebaran */
.persebaran {
  background-image: url("../image/istockphoto-477980425-170667a.jpg");
  /* height: 70vh; */
  background-position: center;
  background-size: cover;
  position: relative;
  box-shadow: inset 0 0 0 100vh rgba(0, 0, 0, 0.5);
}
.main-persebaran {
  display: flex;
  flex-wrap: wrap;
  color: #eeeeee;
}
.persebaran-content {
  flex: 20%;
  /* margin-right: 20px; */
  border: 1px solid #fff;
  padding: 40px;
  margin: 20px;
}
.persebaran-content:hover {
  background-color: #fff;
  color: #232931;
  border: 2px solid #5f7cd8;
  -moz-transition: all 0.8s ease;
  -webkit-transition: all 0.8s ease;
  transition: all 0.8s ease;
}
.persebaran-content:hover h3 {
  color: #4ecca3;
}

.persebaran-content h3 {
  margin-bottom: 20px;
}
.main-persebaran p {
  margin-bottom: 40px;
}

/* manfaat */
.manfaat {
  background-color: #f9fbfe;
}
.content-icon {
  background-color: rgb(242, 255, 249);
  width: 100px;
  height: 100px;
  margin: 0px auto;
  /* text-align: center; */
  display: block;
  border-radius: 50%;
  position: relative;
  border: 1px solid #4ecca3;
}

.content-icon svg {
  height: 70px;
  width: 70px;
  color: #4ecca3;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.content-isi {
  width: 70%;
}

.content-isi h3 {
  margin-bottom: 20px;
}

.main-manfaat {
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
  align-items: center;
}
.content-manfaat {
  align-items: center;
  flex: 40%;
  height: 220px;
  display: flex;
  padding: 30px;
  background-color: #fff;
}
.content-manfaat:hover {
  box-shadow: 0px 0px 25px 0px rgba(95, 95, 95, 0.24);
  -moz-transition: all 0.8s ease;
  -webkit-transition: all 0.8s ease;
  transition: all 0.8s ease;
}
.content-manfaat:hover .content-icon {
  background: #4ecca3;
  -moz-transition: all 0.8s ease;
  -webkit-transition: all 0.8s ease;
  transition: all 0.8s ease;
}

.content-manfaat:hover .content-icon svg {
  color: #fff;
  -moz-transition: all 0.8s ease;
  -webkit-transition: all 0.8s ease;
  transition: all 0.8s ease;
}

.border1 {
  border-bottom: 1px solid #ededed;
  border-right: 1px solid #ededed;
}
.border2 {
  border-bottom: 1px solid #ededed;
  border-left: 1px solid #ededed;
}
.border3 {
  border-top: 1px solid #ededed;
  border-right: 1px solid #ededed;
}
.border4 {
  border-top: 1px solid #ededed;
  border-left: 1px solid #ededed;
}
/* footer */
.footer {
  background-color: #232931;
  padding: 40px 60px;
  color: #4ecca3;
}
.main-footer {
  display: flex;
  flex-wrap: wrap;
}

.logo-footer {
  display: flex;
  padding-right: 50px;
  align-items: center;
  border-right: 2px solid #4ecca3;
  font-weight: 900;
  font-size: 24px;
}
.nama-anggota {
  flex: 25%;
  padding: 0 50px;
}
.footer h3 {
  margin-bottom: 20px;
}
.nama-anggota ul li {
  list-style: none;
}

.about-website ul {
  padding-top: 10px;
}

.about-website ul li a {
  color: white;
}

.about-website ul li {
  list-style: none;
}
.about-website {
  padding: 0 50px;
  flex: 25%;
}

.copyright {
  background-color: #232931;
  color: #4ecca3;
  padding: 20px;
  border-top: 1px solid #393e46;
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

nav .fa {
  display: none;
}

@media (max-width: 700px) {
  /* header */
  nav {
    padding: 30px 20px;
  }
  nav .logo {
    font-size: 20px;
  }
  nav .fa {
    display: block;
    color: #fff;
    font-size: 22px;
    cursor: pointer;
  }
  .nav-links {
    display: none;
  }
  .text-box h1 {
    font-size: 30px;
  }
  .text-box p {
    font-size: 18px;
  }
  .sticky {
    width: 90%;
    padding: 10px 20px;
  }
  .sticky .togglebar {
    color: #5f7cd8;
  }
  /* content */
  .about,
  .flora,
  .persebaran,
  .manfaat {
    padding: 50px 30px;
  }
  .about-deskripsi {
    padding: 20px;
  }
  .content-manfaat {
    flex: 100%;
    padding: 20px;
    height: auto;
    margin-bottom: 20px;
    align-items: flex-start;
  }
  .content-icon {
    margin-right: 20px;
    width: 60px;
    height: 60px;
  }
  .content-icon svg {
    height: 30px;
    width: 30px;
  }
  .flora-card {
    flex: 100%;
    padding: 20px 0;
  }

  .border1,
  .border2,
  .border3,
  .border4 {
    border: 1px solid #eee;
  }

  /* footer */
  .footer {
    background-color: #232931;
    padding: 40px;
    color: #4ecca3;
  }

  .logo-footer {
    border-bottom: 2px solid #4ecca3;
    padding: 20px 0;
    margin-bottom: 20px;
    border-right: none;
  }
  .nama-anggota {
    flex: 100%;
    padding: 0;
  }
  .about-website {
    flex: 100%;
    padding: 0;
    margin-bottom: 20px;
  }
}
.nav-mobile {
  display: none;
  position: absolute;
  background: #232931;
  height: 100vh;
  width: 200px;
  top: 0;
  right: 0px;
  text-align: left;
  z-index: 2;
  transition: 1s;
}
.nav-mobile ul {
  padding: 20px;
}
.nav-mobile ul li {
  list-style: none;
  padding: 12px;
}

.nav-mobile ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 16px;
}

.nav-mobile .closed-menu {
  padding: 10px;
}

.nav-mobile a {
  text-decoration: none;
}

.nav-mobile ul li a i {
  display: inline-block;
  padding-right: 10px;
}

.nav-mobile ul li::after {
  content: "";
  width: 0%;
  height: 2px;
  background: #4ecca3;
  display: block;
  transition: 0.5s;
}
.nav-mobile ul li:hover::after {
  width: 100%;
}
